﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO.Ports;

namespace QCW
{
    public partial class Form_RS232Config : Form
    {
        public UARTCommPro myUARTCommPro = new UARTCommPro();

        public Form_RS232Config()
        {
            InitializeComponent();
            this.comboBoxSerialName.Items.Clear();
            string[] ss = SerialPort.GetPortNames();
            foreach (string aaa in ss)
            {
                this.comboBoxSerialName.Items.Add(aaa);
            }
            if(comboBoxSerialName.Items.Count>0) comboBoxSerialName.SelectedIndex = 0;
            button2.Enabled = true;
            button3.Enabled = false;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.comboBoxSerialName.Items.Clear();
            this.comboBoxSerialName.Items.AddRange(SerialPort.GetPortNames());
            comboBoxSerialName.SelectedIndex = 0;
            button2.Enabled = true;
            button3.Enabled = false;
        }

        public void button2_Click(object sender, EventArgs e)
        {
            string Portname = comboBoxSerialName.Text;
            if (Portname == string.Empty)
            {
                MessageBox.Show("无串口");
                return;
            }
            if (myUARTCommPro.UartOpen(Portname, 9600) == true)
            {
                button3.Enabled = true;
                button2.Enabled = false;
                Form1.form1.Ethdlg.button2_Click(sender,e);
                Form1.form1.Mycom.Comtype = 1;
                Form1.form1.toolStripStatusLabel1.Text = "RS232 " + comboBoxSerialName.Text + " Opened.";
            }
            else
            {
                MessageBox.Show("串口打开失败");
            }
            
        }

        public void button3_Click(object sender, EventArgs e)
        {
            myUARTCommPro.UartClose();
            button3.Enabled = false;
            button2.Enabled = true;
            Form1.form1.Mycom.Comtype = 0;
            Form1.form1.toolStripStatusLabel1.Text = "RS232 " + comboBoxSerialName.Text + " Closed.";
        }
    }
}
